Bug 92546

Summary: [EFL][WK2] EWK2UnitTestBase.ewk_cookie_manager_permanent_storage is flaky
Product: WebKit Reporter: Chris Dumez <cdumez>
Component: WebKit2Assignee: Chris Dumez <cdumez>
Status: RESOLVED WONTFIX    
Severity: Normal CC: bunhere, cgarcia, commit-queue, gyuyoung.kim, mcatanzaro, naginenis, sergio, tmpsantos
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 95671    
Bug Blocks:    
Attachments:
Description Flags
Patch none

Description Chris Dumez 2012-07-27 14:03:13 PDT
EWK2UnitTestBase.ewk_cookie_manager_permanent_storage unit test is flaky:

[ RUN      ] EWK2UnitTestBase.ewk_cookie_manager_permanent_storage
/home/chris/unencrypted/WebKit/Source/WebKit2/UIProcess/API/efl/tests/test_ewk2_cookie_manager.cpp:300: Failure
Value of: 2
Expected: countHostnamesWithCookies(cookieManager)
Which is: 0
[  FAILED  ] EWK2UnitTestBase.ewk_cookie_manager_permanent_storage (102 ms)
[----------] 4 tests from EWK2UnitTestBase (589 ms total)

[----------] Global test environment tear-down
[==========] 4 tests from 1 test case ran. (589 ms total)
[  PASSED  ] 3 tests.
[  FAILED  ] 1 test, listed below:
[  FAILED  ] EWK2UnitTestBase.ewk_cookie_manager_permanent_storage
Comment 1 Thiago Marcos P. Santos 2012-08-22 03:01:24 PDT
Are you fixing this one? It still flaky.

http://build.webkit.org/builders/EFL%20Linux%2064-bit%20Debug/builds/4726
Comment 2 Chris Dumez 2012-08-22 03:11:30 PDT
Ok, thanks for notifying me. I'll look into it now.
Comment 3 Chris Dumez 2012-08-22 04:16:21 PDT
Same flakyness on GTK port it seems:
http://build.webkit.org/builders/GTK%20Linux%2064-bit%20Debug/builds/35761/steps/API%20tests/logs/stdio
Comment 4 Ryuan Choi 2014-03-20 00:21:02 PDT
Created attachment 227266 [details]
Patch
Comment 5 Ryuan Choi 2014-03-20 00:22:50 PDT
Comment on attachment 227266 [details]
Patch

Oops, I found this bug but it looks different issue.

I will create new bug.
Sorry for noise.
Comment 6 Michael Catanzaro 2017-03-11 10:50:44 PST
Closing this bug because the EFL port has been removed from trunk.

If you feel this bug applies to a different upstream WebKit port and was closed in error, please either update the title and reopen the bug, or leave a comment to request this.